Ubuntu

"Could not create /usr/local/lib/eclipse/.eclipseextension" on startup

Reported by Daniel Hahler on 2007-01-27
66
This bug affects 1 person
Affects Status Importance Assigned to Milestone
eclipse (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: eclipse

When starting eclipse (3.2.1-2ubuntu1) I get the following output in the shell:
------------------------------------------------------
$ eclipse
searching for compatible vm...
  testing /usr/lib/jvm/java-gcj...found
Could not create /usr/local/lib/eclipse/.eclipseextension. Please run as root:
    touch /usr/local/lib/eclipse/.eclipseextension
    chmod 2775 /usr/local/lib/eclipse/.eclipseextension
    chown root:staff /usr/local/lib/eclipse/.eclipseextension
------------------------------------------------------

I think that should get done by the package installation procedure itself.

rungss (rungss) wrote :

I too get this error and When I try to install a plugin in the directory /usr/local/lib/eclipse/ from Eclipse Update manager I cant do that and I get the following error Cant update because the Eclipse can't create directory inside /usr/local/lib/eclipse/*

I had to do the following
sudo chmod 755 /usr/lib/eclipse
and I was able to do that but I am unable to figure out what the exact policy for File permissions should be so that other users may also use the plugins...

fejes (anthony-fejes) wrote :

Also having this issue and intermittent plug in errors. If I can do anything to provide further details, please let me know.

Ralph Janke (txwikinger) wrote :

Thanks for submitting this issue and helping to make Ubuntu better.

I can confirm confirm this on hardy.

Thanks again.

Changed in eclipse:
assignee: nobody → txwikinger
importance: Undecided → Low
status: New → Triaged
status: Triaged → In Progress
Onno Benschop (onno-itmaze) wrote :

Issue also exists on Intrepid.

Daniel Hahler (blueyed) wrote :

Ralph, are you working on this?
Do you have a plan/idea how this should get fixed?

Download full text (6.7 KiB)

Hello guys....

It was around an year and half back....

I did some research on this then...

I am providing all info with me...

This is the link to my Blog Post..
http://bijayrungta.com/getting-eclipse-to-work-on-ubuntu

The whole content Copy-Pasted below....
=============================================================

Getting Eclipse to Work on Ubuntu

by bijayrungta on Nov.05, 2007, under Development, LAMP, PDT, eclipse

Getting Eclipse to wiork on Ubuntu for all my Development Work proved
to be very tricky.
There are issues related to permission compatibility and what not.

Here is what worked for me.
After installing and uninstalling Eclipse and deleting the Workspace
for quite a few times, I first removed all the Packages with the
search term eclipse from the Synaptic Package Manager (Top Bar ->
System Menu -> Administration -> Synaptic Package Manager)

Then I used the steps as explained in the iteratively documented
tutorial at Ubuntuforum in the following url

http://ubuntuforums.org/showthread.php?t=201378

After doing this, the first time I run the Editor from the terminal
with the following command
rungss@rungss-ubuntu: eclipse -clean

then I included the following Update sites
name=”Subclipse Subversion Plugin”
url=”http://subclipse.tigris.org/update_1.2.x
name=”The Eclipse 3.3 Project Updates”
url=”http://update.eclipse.org/updates/3.3
name=”Europa Discovery Site” url=”http://download.eclipse.org/releases/europa
name=”PDT Updates” url=”http://download.eclipse.org/tools/pdt/updates/
name=”Web Tools Platform (WTP) Updates”
url=”http://download.eclipse.org/webtools/updates

By default there were two sites

name=”The Eclipse Project Updates” url=”http://update.eclipse.org/updates/3.2
name=”Callisto Discovery Site”
url=”http://download.eclipse.org/callisto/releases

Here is the link of Update Site Bookmarks which you can import through
the Eclipse Update manager.
http://bijay.rungta.googlepages.com/ubuntu-lamp-eclipse-update-sites-boo.xml

Note: be careful with the ending /(slash) for the site urls enter them
as is in the above list. Its strange that for some sites the end “/”
is valid while not for others.

Then I searched for Updates..

Upon the listing of all available features I selected a few based on
my preferences. The following is the list of them

    * Subclipse Plugin from Subclipse Update site
    * PDT features and PDT SDK features from the PDT Update Site
    * Eclipse 3.3 from the Eclipse 3.3 Project Update Site.(I like the
view in 3.3 where you can minimize all panels and view any one of them
as you wish irrespective of the Perspective you are viewing the
Editor)
    * WTP from Europa Site and some other CVS related features.

While selecting these features I clicked on the Select Required button
when I saw any error for incompatibility in selected features.

Next I signed the Agreements and when Saving them I selected the
folder “/usr/local/lib/eclipse” to install features where it was in
any other Directory than the base installation location (Basically
wherever it permitted to do so.)
This is done so that other users can also use them. Advise taken from
the article at https://help.ubuntu.com/community/Ec...

Read more...

Benjamin Drung (bdrung) wrote :

This is fixed in eclipse 3.5.1-0~ubuntu1.

Changed in eclipse (Ubuntu):
assignee: Ralph Janke (txwikinger) → nobody
status: In Progress → Fix Released
Rockwalrus (rockwalrus) wrote :

I hope you mean that it's fixed by getting rid of the annoying message. Creating the file in the maintainer script is a violation of debian policy: http://www.debian.org/doc/debian-policy/ch-opersys.html#s9.1.2 .

Benjamin Drung (bdrung) wrote :

In eclipse 3.5.1-0~ubuntu1 we do not want to create this file neither in the eclipse script, nor in a maintainer script.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers